# -*- encoding: utf-8 -*-
# stub: anncrsnp 0.1.7 ruby lib

Gem::Specification.new do |s|
  s.name = "anncrsnp".freeze
  s.version = "0.1.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Elena Rojano".freeze, "Pedro Seoane".freeze]
  s.date = "2016-09-28"
  s.description = "AnNCR-SNP integrates data from various sources, allowing the user to investigate the potential effects of variants in non-coding regions of the human genome. AnNCR-SNP consists of a database containing data on all non-coding elements and two main programs: manager and finder. The manager program is responsible for creating the local data-base, and the finder program receives the user queries in order to search in the local database and retrieve information. The user can find information about various regu-latory elements, such as TFBs, open chromatin, histone modification and methyla-tion sites, information about SNPs from dbSNP and gene information from RefSeq.".freeze
  s.email = ["elenarojano@outlook.com".freeze, "seoanezonjic@hotmail.com".freeze]
  s.executables = ["console".freeze, "grdbfinder.rb".freeze, "grdbmanager.rb".freeze, "masterfeatures.rb".freeze, "retriever.rb".freeze, "setup".freeze, "statistics.rb".freeze]
  s.files = ["bin/console".freeze, "bin/grdbfinder.rb".freeze, "bin/grdbmanager.rb".freeze, "bin/masterfeatures.rb".freeze, "bin/retriever.rb".freeze, "bin/setup".freeze, "bin/statistics.rb".freeze]
  s.homepage = "".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Tool to characterize Single Nucleotide Polymorphisms (SNP) in genomic non-coding regions.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rubyzip>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<rubyzip>.freeze, [">= 0"])
  end
end
